Subject: Re: force deterministic trees on git push - exact sort-order of filenames

From: Junio C Hamano <[email-masked]>
Date: Sun, 17 Oct 2021 22:38:04 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I suppose there could be more strictures in the fsck code to allow for
> that use-case, but still make some things that are mere warnings now
> hard errors (or "fatal").

There is a group of configuration variables fsck.* to let you pass
specific types of errors go without erroring out on them, and also
fsck.skiplist lets you ignore errors on specific objects, but both
need to ask people on the other side to flip them on.

I'd imagine that hosting providers can make it self-service for
repository owners, though, but if they employ shared object store
across repositories, it might become a bit cumbersome to implement
correctly.